Post by patrickmacedo » Wed Feb 18, 2009 12:18 am

Hi... I`m new here and with PHP.
I downloaded the opencart and installed locally. When I try to create a new user to the store, appear the following problem:

Error: Field 'cart' doesn't have a default value

If I change in the DB (put null to this column), the problem is solved (but I`m afraid about the consequences).

And I have another problem when I try to buy something (when I go to checkout). It`s the same kind of thing, but in the 'confirm' column.

Error: Field 'confirm' doesn't have a default value

In this case, this field is important to the order (the system use that to control the orders, right?).

Well, that´s it.
Sorry for my bad English and congratulations for the system...

Newbie

Posts

Joined
Wed Feb 18, 2009 12:07 am

Post by Daniel » Wed Feb 18, 2009 1:26 am

Can you give me the web address of your web site?

I can not reproduce these errors.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by patrickmacedo » Wed Feb 18, 2009 2:19 am

I`m installing locally. I tried now to put in my web server, but they`re using the PHP4...

I installed now again, with a new database and the problem was the same. All the installation is ok, but when I go to create a new user:

Error: Field 'cart' doesn't have a default value
Error No: 1364
INSERT INTO customer SET firstname = 'Patrick', lastname = 'Macedo', email = 'patrickmacedo@gmail.com', telephone = '934406925', fax = '', password = '698dc19d489c4e4db73e28a713eab07b', newsletter = '0', status = '1', date_added = NOW()

:-\

Newbie

Posts

Joined
Wed Feb 18, 2009 12:07 am

Post by Daniel » Wed Feb 18, 2009 5:08 am

What version PHP and MySQl are you using?

THis is a SQL error, but I have not seen anything like it. It looks like MySQL error reporting is set high.

OpenCart®
Project Owner & Developer.


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by patrickmacedo » Wed Feb 18, 2009 4:21 pm

I`m using PHP 5.2.8 and MySQL 5.0. I already have changed the MySQL version from the 5.1 to 5.0, but it didn`t work.

Well, I really don`t know what to do  ???

Newbie

Posts

Joined
Wed Feb 18, 2009 12:07 am

Post by patrickmacedo » Wed Feb 18, 2009 7:25 pm

It was the MySQL version... With the 5.0.77 and 5.1 the problem occurs...
I installed now the 5.0.44 and it works  :)
I didn`t understand exactly why, but...

Thank you for the help...

Newbie

Posts

Joined
Wed Feb 18, 2009 12:07 am
Who is online

Users browsing this forum: No registered users and 11 guests